> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sx.bet/llms.txt
> Use this file to discover all available pages before exploring further.

# Metadata

> Retrieve exchange metadata including contract addresses, supported tokens, and configuration parameters.

<Note>
  This a sample response. Visit [https://api.sx.bet/metadata](https://api.sx.bet/metadata) for up-to-date info.
</Note>


## OpenAPI

````yaml GET /metadata
openapi: 3.0.1
info:
  title: SX Bet API
  version: 1.0.0
  description: >-
    REST API for the SX Bet decentralized sports betting exchange. Retrieve
    sports data, markets, and orderbook information. Post, cancel, and fill
    orders with signed payloads.


    Base URLs:

    - **Mainnet**: `https://api.sx.bet`

    - **Testnet**: `https://api.toronto.sx.bet`
servers:
  - url: https://api.sx.bet
    description: Mainnet (SX Network, chainId 4162)
  - url: https://api.toronto.sx.bet
    description: Testnet (Toronto, chainId 79479957)
security: []
tags:
  - name: Connection
    description: Server metadata and heartbeat management
  - name: Sports Data
    description: Sports, leagues, teams, fixtures, and live scores
  - name: Markets
    description: Active, specific, and popular betting markets
  - name: Trades
    description: Matched trades and portfolio history
  - name: Orders
    description: Orderbook queries, posting, cancelling, and filling orders
paths:
  /metadata:
    get:
      tags:
        - Connection
      summary: Get metadata
      description: >-
        This endpoint retrieves metadata on the exchange itself and useful
        parameters to interact with the exchange.
      operationId: getMetadata
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    $ref: '#/components/schemas/Metadata'
              example:
                status: success
                data:
                  executorAddress: '0x52adf738AAD93c31f798a30b2C74D658e1E9a562'
                  oracleFees:
                    '0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B':
                      '0': '0'
                      '1': '0'
                      '2': '5000000000000000000'
                      '3': '5000000000000000000'
                    '0x3E96B0a25d51e3Cc89C557f152797c33B839968f':
                      '0': '0'
                      '1': '0'
                      '2': '5000000000000000000'
                      '3': '5000000000000000000'
                  sportXAffiliate:
                    address: '0x0000000000000000000000000000000000000000'
                    amount: '0'
                  makerOrderMinimums:
                    '0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B': '10000000'
                    '0x3E96B0a25d51e3Cc89C557f152797c33B839968f': '30000000000000000000'
                  takerMinimums:
                    '0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B': '1000000'
                    '0x3E96B0a25d51e3Cc89C557f152797c33B839968f': '30000000000000000000'
                  addresses:
                    '4162':
                      USDC: '0x6629Ce1Cf35Cc1329ebB4F63202F3f197b3F050B'
                      WSX: '0x3E96B0a25d51e3Cc89C557f152797c33B839968f'
                  EIP712FillHasher: '0x845a2Da2D70fEDe8474b1C8518200798c60aC364'
                  TokenTransferProxy: '0x38aef22152BC8965bf0af7Cf53586e4b0C4E9936'
                  oddsLadderStepSize: 125
                  bridgeFee: 1
                  depositBridgeFee: 0
                  withdrawalBridgeFee: 0
                  depositBridgeFeeEthereum: 1
                  minimumDepositAmountEthereum: 10
                  depositBridgeFeeArbitrum: 0.1
                  minimumDepositAmountArbitrum: 5
                  withdrawBridgeFeeArbitrum: 0
                  popularSports:
                    - 6
                    - 1
                    - 5
                  leagueOrderingBySport:
                    '1':
                      - 1
                      - 2
                    '8':
                      - 243
                      - 246
                  cashoutFee: '0'
                  crosschainFees:
                    '137': 0.03
                    '42161': 0.03
                    '80094': 0.03
                  chainVersion: SXR
                  domainVersion: '6.0'
        '500':
          description: Internal server error
components:
  schemas:
    Metadata:
      type: object
      properties:
        executorAddress:
          type: string
          description: >-
            The executor address for the sx.bet exchange. Use this address for
            setting the `executor` when posting new orders as a market maker.
        oracleFees:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              type: string
          description: >-
            A mapping from token address to an object of fee tiers (0–3) to fee
            amounts. Tiers 0 and 1 are 0; tiers 2 and 3 indicate the fees paid
            on profit. To convert to a readable number, divide by 10^20
        sportXAffiliate:
          type: object
          properties:
            address:
              type: string
            amount:
              type: string
          description: The default sx.bet affiliate. Currently set to 0 and unused
        makerOrderMinimums:
          type: object
          additionalProperties:
            type: string
          description: >-
            A mapping from token address to a real token amount indicating the
            minimum maker order size. To convert into a readable amount, see
            [the token conversion section](/api-reference/unit-conversion)
        takerMinimums:
          type: object
          additionalProperties:
            type: string
          description: >-
            A mapping from token address to a real token amount indicating the
            minimum taker order size. To convert into a readable amount, see
            [the token conversion section](/api-reference/unit-conversion)
        addresses:
          type: object
          additionalProperties:
            type: object
            additionalProperties:
              type: string
          description: >-
            A mapping from network id -> canonical token name -> token address
            of assets supported by the exchange
        domainVersion:
          type: string
          description: The domain version used in order signing
        EIP712FillHasher:
          type: string
          description: >-
            The contract address to use as `verifyingContract` in the EIP712
            domain when signing fill orders.
        TokenTransferProxy:
          type: string
          description: Contract address to approve when enabling betting.
        bridgeFee:
          type: number
          description: Bridge fee amount
        oddsLadderStepSize:
          type: integer
          description: >-
            Odds ladder step size. See [the post a new order
            section](/api-reference/post-new-order)
        depositBridgeFee:
          type: number
          description: Default deposit bridge fee
        withdrawalBridgeFee:
          type: number
          description: Default withdrawal bridge fee
        depositBridgeFeeEthereum:
          type: number
          description: Bridge fee for Ethereum deposits
        minimumDepositAmountEthereum:
          type: number
          description: Minimum deposit amount from Ethereum
        depositBridgeFeeArbitrum:
          type: number
          description: Bridge fee for Arbitrum deposits
        minimumDepositAmountArbitrum:
          type: number
          description: Minimum deposit amount from Arbitrum
        withdrawBridgeFeeArbitrum:
          type: number
          description: Bridge fee for Arbitrum withdrawals
        popularSports:
          type: array
          items:
            type: integer
          description: Ordered list of popular sport IDs
        leagueOrderingBySport:
          type: object
          additionalProperties:
            type: array
            items:
              type: integer
          description: A mapping from sport ID to an ordered list of preferred league IDs
        cashoutFee:
          type: string
          description: Fee applied on cashout
        crosschainFees:
          type: object
          additionalProperties:
            type: number
          description: Cross-chain fee rates by chain ID
        chainVersion:
          type: string
          description: The current chain version (e.g. `SXR`)

````